Bug 201990 - Remote FS hung on fifo file.
Remote FS hung on fifo file.
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
7.0
PC Solaris
: P2 (vote)
: 7.1
Assigned To: Alexander Simon
issues@cnd
701patch2-verified, CR_7100482
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-12 08:43 UTC by Alexander Simon
Modified: 2011-10-20 10:03 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Thread dump (1.99 MB, text/plain)
2011-09-12 08:43 UTC, Alexander Simon
Details
Threads dump (35.88 KB, text/plain)
2011-10-10 20:46 UTC, Alexander Simon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2011-09-12 08:43:42 UTC
Created attachment 110643 [details]
Thread dump

Remote file browser hung forever if user try to expand folder with fifo file.
Remote file system should ignore reading from fifo files at mime detection time.
Comment 1 Alexander Simon 2011-10-10 20:46:49 UTC
Created attachment 111813 [details]
Threads dump
Comment 2 Alexander Simon 2011-10-11 10:19:02 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/268da775c30d
Comment 3 Vladimir Voskresensky 2011-10-11 18:42:00 UTC
Please, fix failed tests:
org.netbeans.modules.remote.impl.fs.DirectoryReaderTestCase.testDirectoryReaderSftp
Comment 4 Vladimir Voskresensky 2011-10-12 06:55:26 UTC
I reviewed fix and I'd prefer to revert it and find another solution.
We had an agreement about parity between local and remote FS views. 

Actaul:
Now local FS can display such files in Favorites while remote misses them completely.

Expected:
skip only 'dd' phase for such files (=>mime type "unknown" if you'd like), but not miss file completely
Comment 5 Leonid Lenyashin 2011-10-12 09:47:35 UTC
Do not cast "parity" spell, just for the sake of the spell. Give me an example how a regular user benefits from this parity?
Comment 6 Quality Engineering 2011-10-12 14:26:11 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/268da775c30d
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201990  Remote FS hung on fifo file.
- ignore files that are not directory, link or regular file
Comment 7 Alexander Simon 2011-10-12 15:19:04 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/96508f2926c9
Comment 8 Leonid Lenyashin 2011-10-13 09:20:25 UTC
Please create a corresponding CR
Comment 9 Vladimir Voskresensky 2011-10-14 12:04:38 UTC
Based on discussion with QA we need this fix in Patch 2.
The most safe way for patch2 is to use workaround
http://hg.netbeans.org/cnd-main/rev/96508f2926c9
Comment 10 Vladimir Voskresensky 2011-10-14 12:07:51 UTC
(In reply to comment #9)
> Based on discussion with QA we need this fix in Patch 2.
> The most safe way for patch2 is to use workaround
> http://hg.netbeans.org/cnd-main/rev/96508f2926c9
Misprint, please, disregard
Comment 11 Vladimir Voskresensky 2011-10-14 12:09:10 UTC
approved fix for 7.0.1 Patch 2 is workaround
http://hg.netbeans.org/cnd-main/rev/268da775c30d
Please, integrated it into e**f
Comment 12 Alexander Simon 2011-10-14 12:11:07 UTC
work around was transplanted in e**f:
268da775c30d transplanted to 92bacef518c1
Comment 13 Quality Engineering 2011-10-14 15:12:10 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/96508f2926c9
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201990  Remote FS hung on fifo file.
- attempt 2, support file types: directory, link, regular file and all other file types.
Comment 14 Quality Engineering 2011-10-15 14:48:02 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/b167d67e8954
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: extra fix #201990 Remote FS hung on fifo file.
- SpecialPlain -> Special
Comment 15 Alexander Pepin 2011-10-17 13:29:16 UTC
verified in OSS IDE dev build #3410 (20111016)
Comment 16 Vladimir Voskresensky 2011-10-17 13:56:28 UTC
integrated into releases/release701_fixes
http://hg.netbeans.org/releases/rev/92bacef518c1
Comment 17 Quality Engineering 2011-10-17 20:05:47 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/92bacef518c1
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201990  Remote FS hung on fifo file.
- ignore files that are not directory, link or regular file
(transplanted from 268da775c30da3affbb15b2f24f62cd445cdb82c)
Comment 18 soldatov 2011-10-20 10:03:05 UTC
verified in Oracle Solaris Studio 12.3 (2011/10/18) build 32.0


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo